##### basic_serial_port::basic_serial_port (5 of 10 overloads)

Construct and open a `basic_serial_port`.

    basic_serial_port(
        const executor_type & ex,
        const std::string & device);

This constructor creates and opens a serial port for the specified device name.

###### Parameters

ex

  The I/O executor that the serial port will use, by default, to dispatch handlers for any asynchronous operations performed on the serial port.

device

  The platform-specific device name for this serial port.